VOS_ENDTRANS(1)

NAME
vos_endtrans - Ends a volserver transaction

SYNOPSIS
vos endtrans -server <machine name>
    -transaction <transaction iD>
    [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos st -s <machine name>
    -t <transaction iD>
    [-c <cell name>]
    [-noa] [-l] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos endtrans command ends a specific transaction on the Volume Server for a specific volume. Under normal operation this command should never need to be used, but it can be useful to reduce the amount of time a volume is offline after an accidental command, or a vos process crash.

Many vos commands, when they interact with a volume, create what is called a transaction in order to perform many different operations on a volume. If the vos process exits uncleanly, transactions may still stay open for the manipulated volumes, and the Volume Server may deny any further operations on those volumes while the transactions are still open. vos endtrans allows you to end these transactions and make the volumes usable again without needing to restart the volserver.

To find out what transactions are running on a Volume Server and what their transaction IDs are, see the vos status command.

CAUTIONS
This command is not used during normal OpenAFS administration. If used improperly, this can negatively impact currently-running vos operations. Only run this on a transaction if you are certain that the program that created the transaction is no longer running.

OPTIONS

-server <server name>
    Identifies the file server machine running the Volume Server on which to end the transaction. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-transaction <transaction ID>
    Identifies which transaction to end on the Volume Server. You can get a listing of active transactions and their IDs from the output of vos status.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example illustrates the kind of output that can appear when a volume operation was about to be attempted on the Volume Server on "fs1.example.com", but the process performing the operation never actually did anything with the volume:

   % vos status fs1.example.com
   --------------------------------------------
   transaction: 575  created: Fri Oct 16 16:55:54 2009
   attachFlags: offline
   volume: 536871080 partition: /vicepb procedure: TransCreate
   --------------------------------------------
   % vos endtrans fs1.example.com 575
   % vos status fs1.example.com
   No active transactions on fs1.example.com

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine specified with the -server argument. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1), vos_status(1)

COPYRIGHT
Copyright 2009 Sine Nomine Associates

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Andrew Deason for OpenAFS.